"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
const createVarsResolver = require("../../core/styles-api/create-vars-resolver/create-vars-resolver.cjs");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const useStyles = require("../../core/styles-api/use-styles/use-styles.cjs");
const Box = require("../../core/Box/Box.cjs");
const factory = require("../../core/factory/factory.cjs");
const getMarkColor = require("./get-mark-color.cjs");
const Mark_module_css = require("./Mark.module.css.cjs");
const defaultProps = {
  color: "yellow"
};
const varsResolver = createVarsResolver.createVarsResolver((theme, { color }) => ({
  root: {
    "--mark-bg-dark": getMarkColor.getMarkColor({ color, theme, defaultShade: 5 }),
    "--mark-bg-light": getMarkColor.getMarkColor({ color, theme, defaultShade: 2 })
  }
}));
const Mark = factory.factory((_props, ref) => {
  const props = useProps.useProps("Mark", defaultProps, _props);
  const { classNames, className, style, styles, unstyled, vars, color, variant, ...others } = props;
  const getStyles = useStyles.useStyles({
    name: "Mark",
    props,
    className,
    style,
    classes: Mark_module_css.default,
    classNames,
    styles,
    unstyled,
    vars,
    varsResolver
  });
  return /* @__PURE__ */ jsxRuntime.jsx(Box.Box, { component: "mark", ref, variant, ...getStyles("root"), ...others });
});
Mark.classes = Mark_module_css.default;
Mark.displayName = "@mantine/core/Mark";
exports.Mark = Mark;
